import dva from 'dva';
import models from './models';
import 'moment/locale/zh-cn';
import './index.less';
import './polyfill';
// import { browserHistory } from 'dva/router';
import createHistory from 'history/createBrowserHistory';

// 1. Initialize
const app = dva({
  history: createHistory(),
});

// 2. Plugins
// app.use({});

// 3. Model
// app.model(require('./models/example'));
models.map((m) => {
  app.model(m)
});

// 4. Router
app.router(require('./router'));

// 5. Start
app.start('#root');
